Storyden
Tags

Tag List

Get a list of tags on the site, most used first. The tag table grows with content, so results are paginated. Callers that only need suggestions can read the first page and stop.

GET
/tags

Get a list of tags on the site, most used first.

The tag table grows with content, so results are paginated. Callers that only need suggestions can read the first page and stop.

Authorization

cookiestoryden-session<token>

Query Parameters

q?string

Search query string.

Length0 <= length
page?string

Pagination query parameters.

Response Body

OK

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
tags*array<>

A list of tags.

Example Request
curl -X GET 'https://example.com/api/tags'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "tags": [    {      "name": "string",      "colour": "string",      "item_count": 0    }  ]}